/*==================================
Main Navigation
==================================*/

ul.main_navigation {
    position: fixed;
    width: 100%;
    top: 40px;
    opacity: 0;
    left: 0;
    z-index: 10;
    text-align: center;
    transition: all .3s ease-in-out;
    
    @include tablet {
        display: none;
    }
}

.loaded ul.main_navigation {
    top: 70px;
    opacity: 1;
}

ul.main_navigation li {
	display: inline-block;
	margin: 0 20px;
}

ul.main_navigation li a {
    color: $navy;
    transition: color .3s ease-in-out;

    &.active, &:hover {
        color: $orange;
    }
}

// CSS Menu Icon

.menu_icon {
    position: fixed;
    border-top: 2px solid $navy;
    height: 14px;
    width: 20px;
    right: 30px;
    transition: all .3s ease-in-out;
    top: 50px;
    display: none;

    &:before {
        content: "";
        width: 100%;
        border-bottom: 2px solid $navy;
        position: absolute;
        top: 4px;
        transition: all .3s ease-in-out;
    }  

    &:after {
        content: "";
        width: 100%;
        position: absolute;
        bottom: 18px;
        border-bottom: 2px solid $navy;
        transition: all .3s ease-in-out;
    }  
    
    @include tablet {
        display: block;
    }
}

.menu_icon.navigation_open {
    border-top: 0;

    &:before {
        transform: rotate(45deg);
        top: 1px;
        border-bottom: 2px solid $navy;
    }

    &:after {
        transform: rotate(-45deg);
        bottom: 11px;
        border-bottom: 2px solid $navy;
    } 
}

// Buy Tickets

.buy_tickets_mobile img {
    width: 130px;
}

/*==================================
MOBILE NAVIGATION (Fullscreen mobile overlay)
==================================*/

.mobile_navigation {
    position: fixed;
    width: 100%;
    height: 100vh;
    background: $cream;
    z-index: 70;
    display: none;
}

// Mobile Vertical Navigation List

.mobile_navigation .content_container {
    height: 100%;
    z-index: 3;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;

    // Adjustments for phone in landscape

    @media all and (max-device-width: 736px) and (orientation: landscape) {
        top: 2%;
    }
}

ul.mobile_navigation_list {
    list-style: none;
}

ul.mobile_navigation_list li {
    text-align: center;
    font-size: 25px;
    padding: 10px 0px;
    margin: 0;

    a {
        color: $navy;
    }

    // Adjustments for phone in landscape

    @media all and (max-device-width: 736px) and (orientation: landscape) {
        font-size: 15px;
    }
}

// Mobile Social Icons

ul.mobile_social_icons {
    text-align: center;
    padding: 20px 0px;
}


ul.mobile_social_icons li {
    display: inline-block;
    padding: 0px 10px;

    a {
        color: $white;
    }
}